Bug 928459 - IPv6 privacy extension - stopped working in Tumbleweed
IPv6 privacy extension - stopped working in Tumbleweed
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
201503*
x86-64 SUSE Other
: P5 - None : Normal (vote)
: ---
Assigned To: wicked maintainers
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-23 22:40 UTC by Neil Rickert
Modified: 2015-12-18 02:35 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Rickert 2015-04-23 22:40:04 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:37.0) Gecko/20100101 Firefox/37.0
Build Identifier: 

I'm using "wicked".  The IPv6 privacy extensions have been working well in 13.2 and in Tumbleweed until recently.  This is where I get a permanent IPv6 address and a temporary (randomized) address.

In the last week or so, that seems to have stopped, and I am only getting a permanent address.

The file "/usr/lib/sysctl.d/50-default.conf" contains the line:
net.ipv6.conf.default.use_tempaddr = 2

so I believe that the default should be to use a temporary address.

As a work-around, I have created "/etc/sysctl.d/60-eno1.conf" containing:
net.ipv6.conf.eno1.use_tempaddr = 2

That seems to give me a temp address again.  But I don't think that should be needed.  (The interface name is "eno1".

An additional note:  I have three installs of Tumbleweed with this problem, though I have only tried the workaround on one.

I have one addition install, where the privacy extensions are working just fine.  I'm not sure of the difference, except that there is less software installed there.  I installed minimal X, Plasma 5, lightdm and a few other minor programs.  On the systems with the problem, I originally installed KDE, Gnome, XFCE, LXDE, and on one of them I later installed Plasma5.  So perhaps some of that extra software is breaking the privacy extensions in its startup file.

Reproducible: Always
Comment 1 Chenzi Cao 2015-04-24 06:40:08 UTC
Hi Ludwig, would you please help to have a look at this? I'm not quite sure whether it is right to assign it to you, please feel free to reassign whenever necessary, thank you!
Comment 2 Marius Tomaschewski 2015-09-21 21:57:36 UTC
The patch in https://github.com/openSUSE/wicked/pull/593 should fix it
to read also sysctl's from /usr/lib/sysctl.d.

I've applied it to testing, that is test RPMs will be available at:

http://download.opensuse.org/repositories/network:/wicked:/testing/openSUSE_Tumbleweed/
Comment 3 Bernhard Wiedemann 2015-09-25 15:00:47 UTC
This is an autogenerated message for OBS integration:
This bug (928459) was mentioned in
https://build.opensuse.org/request/show/333779 Factory / wicked
Comment 5 Bernhard Wiedemann 2015-10-22 11:00:17 UTC
This is an autogenerated message for OBS integration:
This bug (928459) was mentioned in
https://build.opensuse.org/request/show/340388 13.2 / wicked
Comment 7 Marius Tomaschewski 2015-10-22 12:20:30 UTC
fixes are in 0.6.27, packages / update requests submitted
Comment 8 Swamp Workflow Management 2015-11-04 15:12:31 UTC
openSUSE-RU-2015:1901-1: An update that has 14 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 899985,916035,925276,927309,928459,939142,940239,941611,941964,942278,947542,948423,950333,951315
CVE References: 
Sources used:
openSUSE 13.2 (src):    wicked-0.6.27-21.1
Comment 9 Swamp Workflow Management 2015-12-17 15:26:07 UTC
SUSE-RU-2015:2293-1: An update that has 12 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 899985,916035,927309,928459,939142,940239,941964,942278,948423,950333,953107,954289
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12 (src):    wicked-0.6.28-18.10.1
SUSE Linux Enterprise Desktop 12 (src):    wicked-0.6.28-18.10.1